<?xml version="1.0" encoding="Windows-1251"?>
<!--
*************************************
    
Copyright (c) 2003 by Galamaga Eugen
relsoft_at_inbox.ru
*************************************
-->
<xsl:stylesheet version = '1.0' xmlns:xsl='http://www.w3.org/1999/XSL/Transform'>
<xsl:output method="html"/>

<!--
******************************************************************************************
  .  .
******************************************************************************************
-->
	<xsl:template match="/"> 
		<html>
		<head>
			<title>
				<xsl:value-of select="//TITLE" />
			</title>
			<meta http-equiv="Content-Type" content="text/html; charset=windows-1251"></meta>
			<link rel="stylesheet" href="styles/style.css" type="text/css"></link>
			<SCRIPT LANGUAGE="JavaScript" SRC="scripts/script.js" TYPE="text/javascript"></SCRIPT>
		</head>
		<body>
			<table name="major_table" cellspacing="0" cellpadding="0">
				<tr>
				<td name="menu_td" class="major_left" width="130" valign="top">
					<xsl:apply-templates select="//DIVISION[@id='div1']" />
				</td>
				<td name="content_td" valign="top">
					<table>
						<tr><td valign="top">
							<xsl:apply-templates select="//DIVISION[3]" />
						</td></tr>
					</table>
				</td>
				</tr>
			</table>
		</body>
		</html>
	</xsl:template>

<!--   -->
	<xsl:template match="//DIVISION[1]">
		<p class="small_bold_white" align="center">
			
		</p>
		<p>
			<xsl:apply-templates select="./MENUBAR" />
		</p>
	</xsl:template>

<!-- 
******************************************************************************************
  !!!
******************************************************************************************
-->	
	<xsl:template match="//DIVISION[1]/MENUBAR">
		<table name="menu_bar" cellspacing="0" cellpadding="0" width="100%">
			<xsl:apply-templates select="./MENUGROUP" />
		 </table>
	</xsl:template>
	
<!--   -->	
	<xsl:template match="//DIVISION[1]/MENUBAR/MENUGROUP">
		<tr><td class="whiteline">
			<img src="images/transparent.gif" height="1" width="1"></img>
		</td></tr>
		<tr><td class="menugroup" align="center">
			<xsl:value-of select="./TITLE" />
		</td></tr>
		<tr><td class="blackline">
			<img src="images/transparent.gif" height="1" width="1"></img>
		</td></tr>
			<xsl:apply-templates select="./MENU" />
	</xsl:template>

<!--   -->	
	<xsl:template match="//DIVISION[1]/MENUBAR/MENUGROUP/MENU">
		<tr><td class="whiteline">
			<img src="images/transparent.gif" height="1" width="1"></img>
		</td></tr>
		<tr><td class="menubutton" align="center" onmouseover="menu_button_rollover(this);" onmouseout="menu_button_rollout(this);" onclick="goto_link()">
			<xsl:attribute name="onclick">
				<xsl:text>gotolink('</xsl:text>
				<xsl:value-of select="@link" />
				<xsl:text>');</xsl:text>
			</xsl:attribute>
			<xsl:value-of select="./CONTENT" />
		</td></tr>
		<tr><td class="blackline">
			<img src="images/transparent.gif" height="1" width="1"></img>
		</td></tr>
	</xsl:template>


<!-- 
******************************************************************************************
  !
******************************************************************************************
-->	
<!--   -->
	<xsl:template match="//DIVISION[3]/MENUBAR">
		<p class="div_name">
			<xsl:value-of select="./TITLE" />
		 </p>
		 <p class="div_description">
		 	<xsl:value-of select="./SHORTDESCRIPTION" />
		 </p>
		<xsl:apply-templates select="./MENUGROUP" />
	</xsl:template>

<!--   -->	
	<xsl:template match="//DIVISION[3]/MENUBAR/MENUGROUP">
		<img>
		<xsl:attribute name="id">
			<xsl:value-of select="@id" />
			<xsl:text>_miplus</xsl:text>
		</xsl:attribute>
		<xsl:attribute name="src">
			<xsl:if test="@display='none'">
				<xsl:text>images/miplus1.gif</xsl:text>
			</xsl:if>
			<xsl:if test="not(@display='none')">
				<xsl:text>images/miplus0.gif</xsl:text>
			</xsl:if>
		</xsl:attribute>
		<xsl:attribute name="onclick">
			<xsl:text>show_hide('</xsl:text>
			<xsl:value-of select="@id" />
			<xsl:text>')</xsl:text>
		</xsl:attribute>
		<xsl:attribute name="style">
			<xsl:text>cursor:pointer</xsl:text>
		</xsl:attribute>		
		</img>
		
		<span class="middle_bold">
			<xsl:value-of select="./TITLE" />
		</span>
		<br></br>
		
		<div>
		<xsl:attribute name="id">
			<xsl:value-of select="@id" />
		</xsl:attribute>
		<xsl:attribute name="style">
			<xsl:text>display:</xsl:text>
			<xsl:if test="@display='none'">
				<xsl:text>none</xsl:text>
			</xsl:if>
			<xsl:if test="not(@display='none')">
				<xsl:text>block</xsl:text>
			</xsl:if>
		</xsl:attribute>
		
		<ul class="small_bold">
			<xsl:apply-templates select="./MENU" />
		</ul>
		</div>
	</xsl:template>

<!--   -->	
	<xsl:template match="//DIVISION[3]/MENUBAR/MENUGROUP/MENU">
		<li>
			<xsl:apply-templates select="./CONTENT" />
		</li>
	</xsl:template>


<!-- !!!! -->
<!--    -->
	<xsl:template match="//MENU/*/MENUBAR">
		<xsl:apply-templates select="./MENUGROUP" />
	</xsl:template>
<!--     -->	
	<xsl:template match="//MENU/*/MENUBAR/MENUGROUP">
		<img>
		<xsl:attribute name="id">
			<xsl:value-of select="@id" />
			<xsl:text>_miplus</xsl:text>
		</xsl:attribute>
		<xsl:attribute name="src">
			<xsl:if test="@display='none'">
				<xsl:text>images/miplus1.gif</xsl:text>
			</xsl:if>
			<xsl:if test="not(@display='none')">
				<xsl:text>images/miplus0.gif</xsl:text>
			</xsl:if>
		</xsl:attribute>
		<xsl:attribute name="onclick">
			<xsl:text>show_hide('</xsl:text>
			<xsl:value-of select="@id" />
			<xsl:text>')</xsl:text>
		</xsl:attribute>
		<xsl:attribute name="style">
			<xsl:text>cursor:pointer</xsl:text>
		</xsl:attribute>
		</img>
		
		<span class="small_bold">
			<xsl:value-of select="./TITLE" />
		</span>
		<br></br>
		
		<div>
		<xsl:attribute name="id">
			<xsl:value-of select="@id" />
		</xsl:attribute>
		<xsl:attribute name="style">
			<xsl:text>display:</xsl:text>
			<xsl:if test="@display='none'">
				<xsl:text>none</xsl:text>
			</xsl:if>
			<xsl:if test="not(@display='none')">
				<xsl:text>block</xsl:text>
			</xsl:if>
		</xsl:attribute>
		
		<ul class="small_bold">
			<xsl:apply-templates select="./MENU" />
		</ul>
		</div>
	</xsl:template>
<!--     -->	
	<xsl:template match="//MENU/*//MENUBAR/MENUGROUP/MENU">
		<li>
			<xsl:apply-templates select="./CONTENT" />
		</li>
	</xsl:template>

<!-- 
******************************************************************************************
  	
******************************************************************************************
-->

<!-- 
******************************************************************************************

******************************************************************************************
-->
	<xsl:template match="//NEWSLIST">
		<p class="div_name">
			<xsl:value-of select="//NEWSLIST/TITLE" />
		</p>
		<p class="div_description">
			<xsl:value-of select="//NEWSLIST/SHORTDESCRIPTION" />
		</p>
		<xsl:apply-templates select="./NEWS" />
	</xsl:template>
<!-- :  -->	
	<xsl:template match="//NEWS">
		<br></br>
		<span class="news_date">
			<xsl:value-of select="./DATE" />
		</span>
		<br></br>
		<span class="news_title">
			<xsl:value-of select="./TITLE" />
		</span>
		<br></br>
		<span class="news_content">
			<xsl:value-of select="./CONTENT" />
		</span>
		<br></br>	
		<span class="news_author">
			<xsl:value-of select="./AUTHOR" />
		</span>
		<br></br>				
	</xsl:template>

<!-- 
******************************************************************************************

******************************************************************************************
-->
	<xsl:template match="//CONTACTS">
		<p class="middle_bold">
			<xsl:value-of select="//CONTACTS/TITLE" />
		</p>
		<p class="middle">
			<xsl:value-of select="//CONTACTS/SHORTDESCRIPTION" />
		</p>
		<p>
			<xsl:apply-templates select="//CONTACTS/RECORD" />
		</p>
	</xsl:template>
<!--    -->	
	<xsl:template match="//RECORD">
		<span class="small_bold">
			<xsl:value-of select="./TYPE" />
		</span>
		<span class="small">
			:
			<xsl:value-of select="./CONTENT" />
		</span>
		<br></br>
	</xsl:template>
	
<!-- 
******************************************************************************************
  
******************************************************************************************
-->
	<xsl:template match="//TEXTDATA">
		<p class="middle_bold">
			<xsl:value-of select="./TITLE" />
		</p>
		<p class="middle">
			<xsl:value-of select="./SHORTDESCRIPTION" />
		</p>
		<span class="middle">
			<xsl:value-of select="./CONTENT" />
		</span>
		<br></br>
		<span class="small">
			<xsl:value-of select="./AUTHOR" />
		</span>
		<br></br>
		<span class="small_bold">
			<xsl:value-of select="./DATE" />
		</span>
	</xsl:template>
	
<!-- 
******************************************************************************************

******************************************************************************************
-->
	<xsl:template match="//PHOTOGALLERY">
		<p class="div_name">
			<xsl:value-of select="//PHOTOGALLERY/TITLE" />
		</p>
		<p class="div_description">
			<xsl:value-of select="//PHOTOGALLERY/SHORTDESCRIPTION" />
		</p>
		<xsl:apply-templates select="./ALBUM" />
	</xsl:template>
	
	<xsl:template match="//ALBUM">
		<p class="middle_bold">
			<xsl:value-of select="./TITLE" />
		</p>
		<p class="middle">
			<xsl:value-of select="./SHORTDESCRIPTION" />
		</p>
		<div>
		<xsl:attribute name="id">
			<xsl:value-of select="@id" />
		</xsl:attribute>
		<xsl:attribute name="class">
			<xsl:text>middle</xsl:text>
		</xsl:attribute>
		<xsl:attribute name="style">
			<xsl:text>display:none</xsl:text>
		</xsl:attribute>
			<xsl:value-of select="./DESCRIPTION" />
		</div>

		<xsl:apply-templates select="./CONTENT" />
	</xsl:template>
	
	<xsl:template match="//ALBUM/CONTENT">
<!--		<table>
			<xsl:for-each select="PHOTO">
			
			</xsl:for-each>
		</table>
	-->
		<table>
			<xsl:apply-templates select="." />
		</table>
	</xsl:template>
	
	<xsl:template match="//ALBUM/CONTENT/PHOTO">
 bra
 <!--
		<td>
			<table>
			<tr><td>
				<img>
					<xsl:attribute name="src">
						<xsl:value-of select="@path" />
					</xsl:attribute>
					<xsl:attribute name="alt">
						<xsl:text>   </xsl:text>
					</xsl:attribute>
				</img>
			</td></tr>
			<tr><td>
				<xsl:value-of select="./SHORTDESCRIPTION" />
			</td></tr>
			</table>
		</td>
	-->
	</xsl:template>
		
<!--		<xsl:if test="position() mod 5 =1">
			<tr>
			<xsl:for >
			
			<td>
			<table>
			<tr><td>
				<img>
					<xsl:attribute name="src">
						<xsl:value-of "./IMAGE/@link" />
					</xsl:attribute>
					<xsl:attribute name="alt">
						<xsl:text>   </xsl:text>
					</xsl:attribute>
				</img>
			</td></tr>
			<tr><td>
				<xsl:value-of select="./SHORTDESCRIPTION" />
			</td></tr>
			</table>
		</td>

			
		</xsl:if>
		<td>
			<table>
			<tr><td>
				<img>
					<xsl:attribute name="src">
						<xsl:value-of "./IMAGE/@link" />
					</xsl:attribute>
					<xsl:attribute name="alt">
						<xsl:text>   </xsl:text>
					</xsl:attribute>
				</img>
			</td></tr>
			<tr><td>
				<xsl:value-of select="./SHORTDESCRIPTION" />
			</td></tr>
			</table>
		</td>
		<xsl:if test="position() mod 5 =0">
			<xsl:text>
				</tr>
			</xsl:text>
		</xsl:if>
		

	</xsl:template>-->
	
</xsl:stylesheet>
